package controller

import (
	"github.com/gin-gonic/gin"
)

//Response 返回结构体
type Response struct {
	Code    int         `json:"code"`
	Message string      `json:"message"`
	Data    interface{} `json:"data"`
}

func message(c *gin.Context, message string) {
	returnData(c, 0, message, nil)
}

func success(c *gin.Context, data interface{}) {
	returnData(c, 0, "OK", data)
}

func error(c *gin.Context, code int, message string) {
	returnData(c, code, message, nil)
}

func returnData(c *gin.Context, code int, message string, data interface{}) {
	c.JSON(0, Response{
		Code:    code,
		Message: message,
		Data:    data,
	})
}
