package router

import (
	"github.com/gin-gonic/gin"
	//nolint
	. "yumc.pw/cloud/nvwa/controller"
)

//Init 初始化路由
func Init(g *gin.Engine, handle ...gin.HandlerFunc) *gin.Engine {
	// 初始化中间件
	g.Use(handle...)

	index := g.Group("/index")
	{
		index.GET("/ping", IndexController.Ping)
	}

	git := g.Group("/git")
	{
		git.GET("/list", GitLogCongtoller.List)
		git.GET("/add", GitLogCongtoller.Add)
	}

	docker := g.Group("/docker")
	{
		docker.GET("/version", DockerController.Version)
		docker.GET("/container/list", DockerController.ContainerList)
		docker.GET("/node/list", DockerController.NodeList)
		docker.GET("/image/list", DockerController.ImageList)
	}
	return g
}
